@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700;800;900&display=swap');

.desktop{
    display: block;
}

.celular{
    display: none;
}

a { text-decoration: none; }

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  background: #fff;
  color: #111;
}

img {
  max-width: 100%;
  display: block;
}

/* ================= CONTAINERS ================= */

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

/* ================= HEADER ================= */

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  transition: background 0.3s ease, box-shadow 0.3s ease;
  z-index: 1000;
}

.header.scrolled {
  background: #fff;
  box-shadow: 0 4px 12px rgba(0,0,0,0.08);
}

.container-header {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  padding: 40px 150px;
}

.logo {
  justify-self: start
}

.nav{
  justify-self: center;
  display: flex;
  gap: 24px;
}

.nav a {
  margin-right: 16px;
  text-decoration: none;
  color: #291B00;
}

/* MENU HAMBURGUER */


.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
  justify-self: end;
}

.menu-toggle span {
  width: 26px;
  height: 3px;
  background: #001D7E;
  border-radius: 2px;
  transition: 0.3s;
}

/* BOTÕES HEADER */

.btn-header-all {
  justify-self: end;
  display: flex;
  align-items: center;
  gap: 12px;
}

.btn-header {
  margin-top: 12px;
  padding: 10px 20px;
  border-radius: 30px;
  background: #001D7E;
  color: #fff;  
  cursor: pointer;
  font-size: 15px;
}

.btn-header-social {
  justify-self: end;
  display: flex;
  align-items: center;
  gap: 12px;
}

.btn-social {
  width: 33px;
  height: 33px;
  margin-top: 12px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 50%;
  background: #001D7E;
  cursor: pointer;
}

.btn-social img {
  width: 15px;
  height: 15px;
  object-fit: contain;
}

.btn-header:hover {
  background: #0031b3;
}

/* ================= HERO ================= */

.hero {
  min-height: 100vh;
  padding-top: 120px; /* header fixo */
  position: relative;

  background-image: url("../images/hero-bg.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.700); /* ajuste conforme a imagem */
  z-index: 1;
}

.hero-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  height: calc(100vh - 120px);
  position: relative;
  z-index: 2;
}

.hero-title{
  font-size: 80px;
  font-weight: 600;
  line-height: 1.2;
  color: #001D7E;
}

.hero-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
}

.hero-media {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  overflow: hidden;
}

.hero-media img {
  max-height: 100%;
  object-fit: contain;
}

.btn {
  margin-top: 12px;
  padding: 10px 20px;
  border-radius: 30px;
  background: #001D7E;
  color: #fff;
  cursor: pointer;
}

/* ================= SERVIÇOS ================= */

.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

.service-card {
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  max-width: 360px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.08);
  display: flex;
  flex-direction: column;
}

.card-title {
  font-size: 30px;
  color: #001D7E;
  padding: 50px 0 0;
  margin-bottom: 50px;
  font-weight: 500;
}

.card-title strong {
  font-weight: 700;
}

.card-image {
  position: relative;
}

.card-image img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  display: block;
}

.card-icon {
  position: absolute;
  bottom: -24px;
  left: 24px;

  width: 48px;
  height: 48px;
  background: #001D7E;
  color: #fff;

  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 22px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

.card-content {
  padding: 40px 24px 24px;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.card-content h3{
  font-weight: 500;
}

.card-content h3 {
  font-size: 18px;
  color: #001D7E;
  margin-bottom: 12px;
}

.card-content p {
  font-size: 14px;
  color: #555;
  line-height: 1.6;
  margin-bottom: 20px;
}

.card-btn {
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  margin-top: auto;
  gap: 10px;

  padding: 10px 18px;
  border: 2px solid #189d0e;
  border-radius: 50px;

  color: #189d0e;
  text-decoration: none;
  font-weight: 400;
  font-size: 14px;

  transition: all 0.25s ease;
}

.card-btn:hover {
  background: #189d0e;
  color: #fff;
}

.whatsapp {
  margin-top: 5px;
}

/* ================= PROFISSIONAIS ================= */

.title-container {
  font-size: 36px;
  color: #001D7E;
  padding: 60px 0 0;
  margin-bottom: 10px;
  font-weight: 600;
}

.grid-prof a{
  color: #001d7e86;
  font-size: 16px;
  margin-bottom: 10px;
}

.divider {
  width: 10%;
  height: 2px;
  background: #001d7e86;
  margin: 24px 100px 150px 0;
}

.testimonial-card {
  position: relative;
  display: flex;
  align-items: center;

  background: #7f89b8;
  border-radius: 100px 100px 0px 0px;
  padding: 60px 60px 60px 220px;
  max-width:80%;
  color: #fff;
  height: 410px;
}

.testimonial-photo {
  position: absolute;
  left: 0;
  bottom: 0;
  transform: scaleX(-1);
  display: block;
  height: 630px;
  object-fit: contain;
}

.testimonial-photo img {
  height: 630px;
  object-fit: contain;
}

.testimonial-content {
  max-width: 100%;
  margin-left: 100px;
}

.quote {
  font-size: 64px;
  font-weight: 800;
  display: block;
  line-height: 1;
  margin-bottom: 10px;
  color: #0d1f6f;
}

.quote-2 {
  display: flex;
  justify-content: flex-end;
  font-size: 64px;
  font-weight: 800;
  line-height: 1;
  margin-bottom: 10px;
  color: #0d1f6f;
}

.testimonial-content p {
  font-size: 16px;
  line-height: 1.7;
  margin-bottom: 24px;
}

.testimonial-author {
  font-size: 15px;
  color: #0d1f6f;
}

.testimonial-author strong {
  font-size: 20px;
  font-weight: 500;
}

.testimonial-author span {
  display: block;
  font-size: 14px;
  color: #001D7E;
  margin-top: 4px;
}

.testimonial-card-2 {
  position: relative;
  display: flex;
  align-items: center;
  margin-left: auto;

  background: #7f89b8;
  border-radius: 100px 100px 0px 0px;
  padding: 60px 220px 60px 60px;
  margin-top: 60px;
  max-width:80%;
  color: #fff;
  height: 410px;
}

.testimonial-photo-2 {
  position: absolute;
  right: -40px;
  bottom: 0;
  transform: scaleX(-1);
  display: block;
  height: 550px;
  object-fit: contain;
}

.testimonial-photo-2 img {
  height: 550px;
  object-fit: contain;
  right: 0;
}

.testimonial-content-2 {
  max-width: 100%;
  margin-right: 100px;
  text-align: right;
}

.testimonial-content-2 p {
  font-size: 16px;
  line-height: 1.7;
  margin-bottom: 24px;
}

.testimonial-author-2 {
  font-size: 15px;
  color: #0d1f6f;
}

.testimonial-author-2 strong {
  font-size: 20px;
  font-weight: 500;
}

.testimonial-author-2 span {
  display: block;
  font-size: 14px;
  color: #001D7E;
  margin-top: 4px;
}

/* ================= BLOCO ================= */

.container-block {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0;
} 

.block {
  position: relative; /* necessário para o overlay */
  padding: 0 60px 60px;
  border-radius: 50px;
  margin-top: 150px;
  margin-bottom: 150px;
  width: 100%;

  background-image: url("../images/hero-bg.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  overflow: hidden;
}

.block::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.75);
  z-index: 1;
}

.block > * {
  position: relative;
  z-index: 2;
}


.title-container {
  color: #001D7E;
  font-size: 28px;
  margin-bottom: 40px;

  text-align: left;
}

.block-content {
  display: flex;
  align-items: center;
  gap: 60px;
}

.block-photo {
  flex: 0 0 45%;
}

.block-photo img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: contain;
}

.block-text-content {
  flex: 1;
  color: #001D7E;
}

.block-text-content h3 {
  font-size: 26px;
  font-weight: 600;
  margin-bottom: 0px;
}

.block-text-content p {
  line-height: 1.7;
  margin-bottom: 30px;
}

.block-btn{
  display: flex;
  align-items: center;
  justify-content: center;
}

.block-btn a {
  display: inline-block;
  padding: 12px 28px;
  background: #001D7E;
  border: 2px solid #001D7E;
  color: #fff;
  text-decoration: none;
  border-radius: 50px;
  font-weight: 500;
  transition: all 0.3s ease;
}

.block-btn a:hover {
  background: transparent;
  color: #001D7E;
}

/* ================= FINAL / MAPA ================= */

.final{
  background-color: #7f89b8;
  border-radius: 100px 100px 0px 0px;
  padding-top: 500px;
  margin-top: -500px;
}

.title-map {
    text-align: left;
    font-size: 28px;
    color: #fff;
    margin-bottom: 40px;
    font-weight: 500;
}

.txt-final{
    max-width: 1200px;
    margin: 0 auto;
    margin-bottom: 70px;
    padding: 0 20px;
}

.contact-map-grid {
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-card {
    background-color: #ffffff;
    width: 320px;
    padding: 25px;
    border-radius: 30px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    z-index: 2;
    margin-bottom: 50px;
}

.avatar {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    overflow: visible;
}

.avatar img {
    width: 70px;
    height: 70px;
}

.contact-card h2 {
    text-align: center;
    font-size: 18px;
    margin-bottom: 20px;
    color: #001D7E;
    font-weight: 500;
}

.field {
    margin-bottom: 15px;
}

.field label {
    display: block;
    font-size: 13px;
    color: #001D7E;
    margin-bottom: 5px;
}

.field input,
.field textarea {
    width: 100%;
    padding: 10px 12px;
    border-radius: 20px;
    border: none;
    background-color: #f1f1f1;
    outline: none;
    font-size: 14px;
}

.field textarea {
    border-radius: 12px;
    resize: none;
}

button {
    width: 100%;
    padding: 12px;
    border-radius: 25px;
    border: none;
    background-color: #1a237e;
    color: #fff;
    font-size: 15px;
    cursor: pointer;
    transition: background 0.3s;
}

button:hover {
    background-color: #0f165e;
}

.map {
    height: 535px;
    width: 900px;
    margin-left: -24px;
    margin-bottom: 50px;
}

.map iframe {
    width: 100%;
    height: 100%;
    border: 0;
    border-radius: 0px 30px 30px 0px;
}

/* ================= PINS ================= */

.contact-info {
    background-color: #ffffff;
    border-radius: 24px;
    padding: 25px 40px;
    max-width: 1200px;
    margin: 0px auto 00px;
}

.contact-info h3 {
    color: #1a237e;
    margin-bottom: 20px;
    font-size: 18px;
}

.info-items {
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.info-item {
    display: flex;
    align-items: center;
    gap: 15px;
    color: #1a237e;
    font-size: 14px;
}

.icon {
    width: 42px;
    height: 42px;
    background-color: #FFFFFF;
    color: #ffffff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.info-item p {
    margin: 0;
    line-height: 1.4;
}

.info-item span {
    display: block;
}

/* ================= FOOTER ================= */

.divider-container{
    height: 150px;
    background-color: #7f89b8;
}

.footer {
  background: #7f89b8;
  text-align: center;
  padding: 20px;
}

.container-footer {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  padding: 40px 150px;
}

.nav-footer{
  justify-self: center;
  display: flex;
  gap: 24px;
}

.nav-footer a {
  margin-right: 16px;
  text-decoration: none;
  color: #ffffff;
}

.btn-footer-all {
  justify-self: end;
  display: flex;
  align-items: center;
  gap: 100px;
}

.btn-footer {
  margin-top: 12px;
  padding: 10px 20px;
  border-radius: 30px;
  background: #ffffff;
  color: #fff;  
  cursor: pointer;
}

.btn-footer-social {
  justify-self: end;
  display: flex;
  align-items: center;
  gap: 12px;
}

.btn-social-footer {
  width: 33px;
  height: 33px;
  margin-top: 12px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
}

.btn-social-footer img {
  width: 15px;
  height: 15px;
  object-fit: contain;
}

.btn-footer:hover {
  background: #0031b3;
}


@media (max-width: 768px) {

  .desktop {
    display: none;
  }

  .celular {
    display: block;
  }
    
        a { text-decoration: none; }
    
        .container-celular {
          width: 100%;
          max-width: 1100px;
          }
    
        .logo-celular {
          display:flex;
          align-items:center;
          justify-content:center;
          padding-bottom: 60px;
        }
    
        /* HERO */
        .hero-celular {
          background-image: url("../images/hero-bg.jpg");
          background-size: cover;
          background-position: center;
          background-repeat: no-repeat;
          max-height: fit-content;
        }
    
        .hero-celular::before {
          content: "";
          position: absolute;
          inset: 0;
          background: rgba(255, 255, 255, 0); /* ajuste conforme a imagem */
          z-index: 1;
        }
    
        .hero-celular-content {
          text-align: left;
          position: relative;
          z-index: 2;
          max-width: 500px;
          padding: 48px 30px;
          background: rgba(255, 255, 255, 0.700); /* ajuste conforme a imagem */
        }
    
        .hero-celular h1 {
          font-size: 2rem;
          font-weight: 600;
          line-height: 1.3;
          color: #001D7E;
          margin-bottom: 16px;
        }
    
        .hero-celular p {
          font-size: 0.95rem;
          max-width: 420px;
          margin: 0 0 28px 0;
        }
    
        .buttons-celular {
          display: flex;
          justify-content: flex-start;
          flex-wrap: wrap;
        }
    
        .btn-celular {
          padding: 12px 22px;
          border-radius: 30px;
          font-size: 0.9rem;
          font-weight: 500;
          transition: 0.3s;
        }
    
        .btn-celular.primary {
          background: #001D7E;
          color: white;
        }
    
        .btn-celular.outline {
          border: 1px solid var(--primary);
          color: var(--primary);
          background: transparent;
        }
    
        .btn-celular:hover {
          transform: translateY(-2px);
          opacity: 0.9;
        }
    
        /* SERVICES */
          .section-celular {
            padding: 48px 20px;
          }
    
          .section-celular h2 {
            text-align: left;
            font-size: 2rem;
            color: #001D7E;
            margin-bottom: 32px;
            font-weight: 500;
          }
    
          .services-celular {
            text-align: center;
          }
    
          .carousel-celular {
            overflow: hidden;
            width: 100%;
          }
    
          .carousel-celular-track {
            display: flex;
            transition: transform 0.4s ease;
          }
    
          .carousel-celular-dots {
            display: flex;
            justify-content: center;
            gap: 10px;
            margin-top: 20px;
          }
    
          .carousel-celular-dots button {
            width: 10px;
            height: 10px;
            border: none;
            border-radius: 50%;
            background: #ccc;
            cursor: pointer;
          }
    
          .carousel-celular-dots button.active {
            background: #001D7E;
          }
    
          
          .carousel-celular-cards {
            display: grid;
            grid-template-columns: 1fr;
            gap: 20px;
          }
    
          .carousel-celular-card {
            background: #f5f5f5;
            border-radius: 20px;
            overflow: hidden;
            max-width: 360px;
            display: flex;
            flex-direction: column;
            flex: 0 0 85%;
            margin-bottom:20px;
            scroll-snap-align: start;
          }
    
          .card-image-celular{
            position: relative;
          }
    
          .card-image-celular img {
            width: 100%;
            height: 150px;
            object-fit: cover;
            display: block;
          }
    
          .card-icon-celular {
            position: absolute;
            bottom: -24px;
            left: 24px;
    
            width: 48px;
            height: 48px;
            background: #001D7E;
            color: #fff;
    
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
    
            font-size: 22px;
            box-shadow: 0 8px 20px rgba(0,0,0,0.2);
          }
    
          .card-content-celular {
            padding: 40px 24px 24px;
            display: flex;
            flex-direction: column;
            height: 100%;
          }
    
          .carousel-celular-card h3 {
            font-size: 18px;
            color: #001D7E;
            margin-bottom: 12px;
            font-weight: 500;
            text-align: left;
          }
    
          .carousel-celular-card p {
            font-size: 0.9rem;
            margin-bottom: 16px;
            text-align: left;
          }
    
          .card-btn-celular {
            display: inline-flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
            margin-top: auto;
            gap: 10px;
    
            padding: 10px 18px;
            border: 2px solid #189d0e;
            border-radius: 50px;
    
            color: #189d0e;
            text-decoration: none;
            font-weight: 400;
            font-size: 14px;
    
            transition: all 0.25s ease;
          }
    
          .card-btn-celular:hover {
            background: #189d0e;
            color: #fff;
          }
    
          .whatsapp-celular {
            margin-top: 5px;
          }
    
        /* DOCTORS */
        .doctor-celular {
          background: #001d7e86;
          border-radius: 18px;
          padding: 28px;
          margin-bottom: 20px;
        }
    
        .doctor-celular h4 {
          color: #001D7E;
          font-weight: 600;
          margin-bottom: 8px;
        }
    
        .doctor-celular span {
          font-size: 0.85rem;
          color: #001D7E;
        }
    
        .doctor-celular p {
          font-size: 0.9rem;
          margin-top: 12px;
          color: white;
        }
    
        .section-celular-cta {
          position: relative;
          padding: 48px 20px;
          z-index: 20;
          overflow: visible;
        }
        
        .cta-celular {
          position: relative;
          background-image: url("../images/hero-bg.jpg");
          background-size: cover;
          background-position: center;
          background-repeat: no-repeat;
          max-height: fit-content;
          border-radius: 18px;
          overflow: hidden;
        }
    
        .cta-celular-content{
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          padding: 30px;
          background: rgba(255, 255, 255, 0.700); /* ajuste conforme a imagem */  
        }
    
        .cta-celular-content h4{
          font-size: 1rem;
          color: #001D7E;
          margin-top: 30px;
          margin-bottom: 16px;
          font-weight: 600;
          text-align: center;
        }
    
        .btn-celular-cta{
          margin-top: 20px;  
          display: flex;
          gap: 16px;
          flex-wrap: wrap;
          justify-content: center;  
        }
    
        .cta-celular a{
          padding: 12px 22px;
          border-radius: 30px;
          font-size: 0.9rem;
          font-weight: 500;
          transition: 0.3s;
          background: #001D7E;
          color: white;
          width: 250px;
          text-align: center;
        }
    
        .final-celular{
          background-color: #7f89b8;
          border-radius: 100px 100px 0px 0px;
          padding-top: 500px;
          margin-top: -400px;
          z-index: 10;
        }
    
        .section-celular-contact {
          padding: 48px 20px;
        }
    
        .contato-celular{
          max-width: 500px;
          margin: 0 auto;
          text-align: center;
          color: #001D7E;
          background-color: white;
          padding: 30px;
          border-radius: 30px;
        }
    
        .contato-celular h2{
          font-size: 1.5rem;
          margin-bottom: 16px;
          font-weight: 500;
        }
    
        .avatar-celular {
          display: flex;
          justify-content: center;
          margin-bottom: 10px;
          overflow: visible;

        }
    
        .avatar-celular img {
            width: 100px;
            border-radius: 50%;
            margin-bottom: 40px;
        }
    
    
    
        /* CONTACT */
        .contact-celular form {
          background: white;
          padding: 28px;
          border-radius: 18px;
          display: flex;
          flex-direction: column;
          gap: 14px;
        }
    
        .field-celular {
        margin-bottom: 15px;
    }
    
    .field-celular label {
        display: block;
        font-size: 15px;
        color: #001D7E;
        margin-bottom: 5px;
        text-align: left;
    }
    
    .field-celular input,
    .field-celular textarea {
        width: 100%;
        padding: 10px 12px;
        border-radius: 20px;
        border: none;
        background-color: #f1f1f1;
        outline: none;
        font-size: 14px;
    }
    
    .field-celular textarea {
        border-radius: 12px;
        resize: none;
    }
    
    button {
        width: 100%;
        padding: 12px;
        border-radius: 25px;
        border: none;
        background-color: #1a237e;
        color: #fff;
        font-size: 15px;
        cursor: pointer;
        transition: background 0.3s;
    }
    
    button:hover {
        background-color: #0f165e;
    }
    
    .section-celular-contact-info{
      padding: 48px 20px;
      margin-top: -60px;
    }
    
    .contact-celular-info {
        background-color: #ffffff;
        border-radius: 24px;
        padding: 25px 40px;
        max-width: 1200px;
        margin: 0px auto 00px;
    }
    
    .contact-celular-info h3 {
        color: #1a237e;
        margin-bottom: 20px;
        font-size: 18px;
    }
    
    .info-celular-items {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 30px;
    }
    
    .info-celular-item {
        display: flex;
        align-items: center;
        gap: 15px;
        color: #1a237e;
        font-size: 14px;
    }
    
    .icon-celular {
        width: 42px;
        height: 42px;
        background-color: #FFFFFF;
        color: #ffffff;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 18px;
    }
    
    .info-celular-item p {
        margin: 0;
        line-height: 1.4;
    }
    
    .info-celular-item span {
        display: block;
    }
    
    .logo-celular-2 {
          display:flex;
          align-items:center;
          justify-content:center;
          padding-bottom: 60px;
          background-color: #7f89b8;
        }
    
}




.mini-footer {
  width: 100%;
  text-align: center;
  padding: 8px 10px;
  font-size: 10px;
  letter-spacing: 1.4px;
  color: rgba(255,255,255,0.7);
  background: #6e78ab;
  font-family: 'Poppins', sans-serif;
  transition: 0.3s ease;
}

.mini-footer a {
  text-decoration: none;
  color: inherit;
}

.mini-footer strong {
  font-weight: 600;
  color: #ffffff;
}

.mini-footer:hover {
  letter-spacing: 2px;
  opacity: 1;
}




